Bug 184335 - graphics/mupdf 1.3 available
graphics/mupdf 1.3 available
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Kurt Jaeger
Depends on:
  Show dependency treegraph
Reported: 2013-11-27 18:30 UTC by Zsolt Udvari
Modified: 2014-08-04 20:26 UTC (History)
5 users (show)

See Also:

Patch to 1.5 (5.40 KB, patch)
2014-08-04 17:32 UTC, Zsolt Udvari
no flags Details | Diff
Corrected patch (11.61 KB, patch)
2014-08-04 18:13 UTC, Zsolt Udvari
no flags Details | Diff
Re-correct patch (include pkg-plist modification) (14.29 KB, patch)
2014-08-04 18:42 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2013-11-27 18:30:00 UTC
    The MuPDF 1.3 is out (2013-08-15): http://www.mupdf.com/news . Please update!
Comment 1 Edwin Groothuis freebsd_committer 2013-11-27 23:11:28 UTC
Maintainer of graphics/mupdf,

Please note that PR ports/184335 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2013-11-27 23:11:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 lichray 2013-11-27 23:50:02 UTC
On Wed, Nov 27, 2013 at 6:11 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of graphics/mupdf,
> Please note that PR ports/184335 has just been submitted.

This requires upgrading openjpeg to 2.0; I'm sorry that I have
no time to do so.

Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
4BSD -- http://4bsd.biz/
Comment 4 John Marino freebsd_committer 2014-07-11 12:21:15 UTC
lichray should look at this again since openjpeg has been upgrade to version 2.0.

In general, bugzilla will not be used for update requests as GNATS was; this is the purpose of portscout.
Comment 5 Zsolt Udvari 2014-07-11 14:16:30 UTC
But MuPDF 1.5 is out too :)
Comment 6 Adam Weinberger freebsd_committer 2014-08-03 19:56:41 UTC
This PR has been open for a very long time now. As John said, "newer version is available" isn't what our BZ is for.

Zsolt, can you produce a patch to update this port? Maintainer does not seem particularly interested in keeping this port up-to-date.
Comment 7 Zsolt Udvari 2014-08-04 07:39:14 UTC
I'll try it, but I think it's not too trivial (as I remember I've tried it a month ago).
Comment 8 Zsolt Udvari 2014-08-04 17:32:36 UTC
Created attachment 145367 [details]
Patch to 1.5
Comment 9 John Marino freebsd_committer 2014-08-04 17:33:55 UTC
no maintainer approval needed, patch-ready
Comment 10 Adam Weinberger freebsd_committer 2014-08-04 17:34:58 UTC
Zsolt, are you interested in maintaining this port?
Comment 11 Zsolt Udvari 2014-08-04 17:59:55 UTC
(In reply to Zsolt Udvari from comment #8)
> Created attachment 145367 [details]
> Patch to 1.5

Sorry, the patch isn't good, with the SCROLL option doesn't build. Some moments...
Comment 12 Zsolt Udvari 2014-08-04 18:13:28 UTC
Created attachment 145370 [details]
Corrected patch

This is the corrected patch.
Comment 13 Zsolt Udvari 2014-08-04 18:14:37 UTC
(In reply to Adam Weinberger from comment #10)
> Zsolt, are you interested in maintaining this port?

I'll take it willingly if nobody else.
Comment 14 Zsolt Udvari 2014-08-04 18:42:17 UTC
Created attachment 145371 [details]
Re-correct patch (include pkg-plist modification)

I've forget to update pkg-plist. Here is it.
Comment 15 Kurt Jaeger freebsd_committer 2014-08-04 19:58:39 UTC
I'll take it.
Comment 16 commit-hook freebsd_committer 2014-08-04 20:19:58 UTC
A commit references this bug:

Author: pi
Date: Mon Aug  4 20:19:30 UTC 2014
New revision: 364050
URL: http://svnweb.freebsd.org/changeset/ports/364050

  graphics/mupdf: 1.2 -> 1.5

  - For changes since 1.2 see http://www.mupdf.com/news
  - new maintainer: Zsolt Udvari

  PR:		184335
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com>
  Approved by:	lichray@gmail.com (maintainer timeout)